package com.sunxung.factoring.entity.businessmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 业务管理模板审核信息
 * </p>
 *
 * @author liutao
 * @since 2023-02-27
 */
@TableName("business_template_review")
public class BusinessTemplateReview extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 业务基本信息表Id
     */
    @TableField("business_basic_info_id")
    private Long businessBasicInfoId;

    /**
     * 审批结论 0驳回 1通过 
     */
    @TableField("conclusion")
    private Integer conclusion;

    /**
     * 审批意见
     */
    @TableField("comments")
    private String comments;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public Long getBusinessBasicInfoId() {
        return businessBasicInfoId;
    }

    public void setBusinessBasicInfoId(Long businessBasicInfoId) {
        this.businessBasicInfoId = businessBasicInfoId;
    }
    public Integer getConclusion() {
        return conclusion;
    }

    public void setConclusion(Integer conclusion) {
        this.conclusion = conclusion;
    }
    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    @Override
    public String toString() {
        return "BusinessTemplateReview{" +
            "businessBasicInfoId=" + businessBasicInfoId +
            ", conclusion=" + conclusion +
            ", comments=" + comments +
        "}";
    }
}
